Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1887651 - [Internal Mode] Object gateway (RGW) in unknown state after OCP upgrade.
Summary: [Internal Mode] Object gateway (RGW) in unknown state after OCP upgrade.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Storage Plugin
Version: 4.6
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
: 4.7.0
Assignee: Bipul Adhikari
QA Contact: Mugdha Soni
URL:
Whiteboard:
: 1895308 (view as bug list)
Depends On:
Blocks: 1905947
TreeView+ depends on / blocked
 
Reported: 2020-10-13 05:27 UTC by Mugdha Soni
Modified: 2021-02-24 15:25 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:25:25 UTC
Target Upstream Version:


Attachments (Terms of Use)
Object service(RGW) in unknown state (74.09 KB, image/png)
2020-10-13 05:30 UTC, Mugdha Soni
no flags Details
Screenshot of Object Service Dashboard from cluster in OCP 4.7 and OCS 4.5 (60.63 KB, image/png)
2020-12-09 07:30 UTC, Mugdha Soni
no flags Details
Screenshot of Object Service Dashboard after OCS upgrade (60.61 KB, image/png)
2020-12-09 07:32 UTC, Mugdha Soni
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 6977 0 None closed Bug 1887651: Add support for phase values of CephObjectStoreKind CRD used in OCS 4.5 2021-02-01 09:07:37 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:25:56 UTC

Description Mugdha Soni 2020-10-13 05:27:59 UTC
Description of problem:
--------------------------
After OCP upgrade from 4.5.9 to 4.6.0-rc.1 , observed that in object service -->object gateway (RGW) is in unknown state in console.Everything related to RGW is working i.e OBC creation etc and cant see any errors in the log.


Version-Release number of selected component :
-----------------------------------------------
Client Version: 4.5.6
Server Version: 4.6.0-rc.1
Kubernetes Version: v1.19.0+d59ce34


How reproducible:
--------------------
1/1


Steps to Reproduce:
---------------------
1. Upgrade OCP 4.5 to OCP 4.6 in internal mode
2. Check Object Service dashboard

Actual results:
--------------------
The object gateway service (RGW) is in unknown state.

Comment 1 Mugdha Soni 2020-10-13 05:30:28 UTC
Created attachment 1721093 [details]
Object service(RGW) in unknown state

Comment 3 Stephen Cuppett 2020-10-13 11:30:05 UTC
Setting target release to the active development branch (4.7.0). For any fixes, where required and requested, cloned BZs will be created for those release maintenance streams where appropriate once they are identified.

Comment 4 Nishanth Thomas 2020-10-14 11:17:54 UTC
Please provide the requested info ( https://bugzilla.redhat.com/show_bug.cgi?id=1887651#c2 )

Comment 8 Bipul Adhikari 2020-11-10 07:01:41 UTC
*** Bug 1895308 has been marked as a duplicate of this bug. ***

Comment 10 Mugdha Soni 2020-12-09 07:30:03 UTC
Created attachment 1737839 [details]
Screenshot of Object Service Dashboard from cluster in OCP 4.7 and OCS 4.5

Comment 11 Mugdha Soni 2020-12-09 07:32:00 UTC
Created attachment 1737840 [details]
Screenshot of Object Service Dashboard after OCS upgrade

Comment 12 Mugdha Soni 2020-12-09 07:34:51 UTC
The following steps were performed to test the bug :-

1. OCS 4.5 and OCP 4.7 cluster was deployed over Vsphere(UPI) and then it was observed that the Object Gateway was in healthy state.
2. Later an OCS upgrade was triggered from 4.5 to 4.6,it was observed that the Object Gateway was in healthy state , everything related to RGW was working fine and no regressions were seen. 

Hence , moving the bug to verified state.

Screenshots for both the observations are attached in comment#10 and comment#11 .


Thanks
Mugdha Soni

Comment 15 errata-xmlrpc 2021-02-24 15:25:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.